/*=========================================================================

  Program:   Orbit Visualization Tool
  Source:    $Source: /net/nest/stor/devel/ovt2g/ovt/event/MagPropsEvent.java,v $
  Date:      $Date: 2000/04/11 15:42:03 $
  Version:   $Revision: 1.3 $


Copyright (c) 2000 OVT Team (Kristof Stasiewicz, Mykola Khotyaintsev, 
Yuri Khotyaintsev)
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification is permitted provided that the following conditions are met:

 * No part of the software can be included in any commercial package without
written consent from the OVT team.

 * Redistributions of the source or binary code must retain the above
copyright notice, this list of conditions and the following disclaimer.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS ``AS
IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
IN NO EVENT SHALL THE AUTHORS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT OR
INDIRECT DAMAGES  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE.

OVT Team (http://ovt.irfu.se)   K. Stasiewicz, M. Khotyaintsev, Y.
Khotyaintsev

=========================================================================*/

/*
 * MagPropsEvent.java
 *
 * Created on April 5, 2000, 6:36 PM
 */
 
package ovt.event;

import java.beans.*;

/** 
 *
 * @author  ko
 * @version 
 */
public class MagPropsEvent extends PropertyChangeEvent {

  public static final int KP_INDEX  = 1;
  public static final int DST_INDEX = 2;
  public static final int AE_INDEX = 3;
  public static final int SWP = 4;
  public static final int IMF = 5;
  public static final int MACH_NUMBER = 5;
  
  
  //protected Vector
  
  /** Creates new MagPropsEvent */
  public MagPropsEvent(Object source) {
    super(source, "magProps", new Integer(1), new Integer(1));
  }
  
  //public int getPropertyName()
  
}